apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  labels:
    machineconfiguration.openshift.io/role: worker
  name: 51-crio-full-aff
spec:
  config:
    ignition:
      version: 3.2.0
    systemd:
      units:
      - dropins:
        - contents: |
            [Service]
            Slice=crio.slice
            ExecStartPost=/usr/local/bin/fix-crio-aff.sh
          name: 99-affinity.conf
        name: crio.service
    storage:
      files:
      - contents:
          source: data:text/plain;charset=utf-8;base64,IyEvYmluL2Jhc2ggLXgKQUxMPSQoY2F0IC9zeXMvZnMvY2dyb3VwL2NwdXNldC9jcHVzZXQuY3B1cykKCmVjaG8gJCQgPi9zeXMvZnMvY2dyb3VwL3BpZHMvY2dyb3VwLnByb2NzCgpmb3IgcCBpbiAkKGNhdCAvc3lzL2ZzL2Nncm91cC9waWRzL2NyaW8uc2xpY2UvKi9jZ3JvdXAucHJvY3MpOyBkbwogIGNwdXNldD0kKGNhdCAvcHJvYy8kcC9jcHVzZXQpCiAgZWNobyAkcCA+L3N5cy9mcy9jZ3JvdXAvY3B1c2V0L2Nncm91cC5wcm9jcwogIGtpbGwgLVRTVFAgJHAKICB0YXNrc2V0IC1hIC1wYyAkQUxMICRwCiAga2lsbCAtQ09OVCAkcAogIGVjaG8gJHAgPi9zeXMvZnMvY2dyb3VwL2NwdXNldCR7Y3B1c2V0fS9jZ3JvdXAucHJvY3MKICBjYXQgL3Byb2MvJHAvY3B1c2V0CmRvbmUKCmV4aXQgMAoK
        mode: 493
        path: /usr/local/bin/fix-crio-aff.sh

